#include "webviewqt.h"
#include "webviewwindow.h"
#include <QWebEnginePage>
#include <QJsonDocument>

WebViewQt::WebViewQt(int id, WebviewWindow *window)
    : QWebEngineView(window->profile(), window)
{
    _id = id;
    _window = window;
}


int WebViewQt::id() const
{
    return _id;
}

WebviewWindow *WebViewQt::wvWin()
{
    return _window;
}


